package main

type ConfigDef struct {
	OutputWav      string               `yaml:"output_wav"`
	MachineType    string               `yaml:"machine_type"`
	InvertPolarity bool                 `yaml:"invert_polarity"`
	TapeFiles      []ConfigItemTapeFile `yaml:"tape_files"`
}

type ConfigItemTapeFile struct {
	FileAttribute           string  `yaml:"file_attrib"`
	FileName                string  `yaml:"filename"`
	LoadAddress             uint16  `yaml:"load_addr"`
	ExecuteAfterLoad        bool    `yaml:"exec_after_load"`
	ExecuteAddress          uint16  `yaml:"exec_addr"`
	UseRawCommentFromFile   bool    `yaml:"use_raw_comment_from_file"`
	RawCommentFileName      string  `yaml:"comment_from_filename"`
	StringComment           string  `yaml:"text_comment"`
	DateSource              string  `yaml:"data_source"`
	FileDataSource          string  `yaml:"binary_filename"`
	ASCIITextFileDataSource string  `yaml:"ascii_text_filename"`
	IgnoreNonDisplayChar    bool    `yaml:"ignore_non_disp_char"`
	IgnoreCR                bool    `yaml:"ignore_cr"`
	RawData                 *[]byte `yaml:"raw_data"`
}
